I will install BM 3.8 on a NW5.1SP6 server running BM3.5

Should I try to uninstall 3.5 (which seems to be something
difficult to achieve reading previous posts) or should I upgrade ?

On client side, Clntrust must be upgraded too ?